### Method

# EBook BookClient get_contacts_uids_sync

since: 3.2

#### Declaration [src]

    gboolean
    e_book_client_get_contacts_uids_sync (
      EBookClient* client,
      const gchar* sexp,
      GSList** out_contact_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Query `client` with `sexp`, receiving a list of contacts UIDs which matched. If successful, then the `out_contact_uids` is set to newly allocated list of UID strings, which should be freed with e_client_util_free_string_slist().

Note: `sexp` can be obtained through `EBookQuery`, by converting it to a string with e_book_query_to_string().

Available since: 3.2

#### Parameters

`sexp`

  Type: `const gchar*`

  An S-expression representing the query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_contact_uids`

  Type: A list of `utf8`

  A `GSList` of matched contacts UIDs stored as strings.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.